<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/


// no direct access
defined('_JEXEC') or die;
error_reporting(E_ALL & ~E_NOTICE);

$document 			= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_slide_img/assets/css/default.css');


$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_id 					= "mod_".$module->id;
$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.10.2');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);

$width						= $params->get('width');
$height						= $params->get('height');
$top						= $params->get('top');
	
	
// Load jQuery
//---------------------------------------------------------------------

$ext_script = <<<SCRIPT


var jQi = false;
function initJQ() {
	if (typeof(jQuery) == 'undefined') {
		if (!jQi) {
			jQi = true;
			document.write('<scr' + 'ipt type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/$ext_jquery_ver/jquery.min.js"></scr' + 'ipt>');
		}
		setTimeout('initJQ()', 500);
	}
}
initJQ(); 
 
 if (jQuery) jQuery.noConflict();    
  
  
 

SCRIPT;

if ($ext_load_jquery  > 0) {
	$document->addScriptDeclaration($ext_script);		
}
	
// Load img params
//---------------------------------------------------------------------

$names = array('img', 'alt', 'url', 'target');
$max = 10;
foreach($names as $name) {
    ${$name} = array();
    for($i = 1; $i <= $max; ++$i)
        ${$name}[] = $params->get($name . $i);
}	
require JModuleHelper::getLayoutPath('mod_ext_slide_img', $params->get('layout', 'default'));

?>
<script type="text/javascript">
jQuery(document).ready(function() {	
  var currentPosition = 0;
  var slideWidth = <?php echo $width; ?>;
  var slides = jQuery('.ext_slide_<?php echo $ext_id;?>');
  var numberOfSlides = slides.length;

  // Remove scrollbar in JS
  jQuery('#slidesContainer_<?php echo $ext_id;?>').css('overflow', 'hidden');

  // Wrap all .slides with #slideInner div
  slides
    .wrapAll('<div id="slideInner_<?php echo $ext_id;?>"></div>')
    // Float left to display horizontally, readjust .slides width
	.css({
      'float' : 'left',
      'width' : slideWidth
    });

  // Set #slideInner width equal to total width of all slides
  jQuery('#slideInner_<?php echo $ext_id;?>').css('width', slideWidth * numberOfSlides);

  // Insert controls in the DOM
  jQuery('#ext_slideshow_<?php echo $ext_id;?>')
    .prepend('<span class="leftControl control control_<?php echo $ext_id;?>" id="leftControl_<?php echo $ext_id;?>">Clicking moves left</span>')
    .append('<span class="rightControl control control_<?php echo $ext_id;?>" id="rightControl_<?php echo $ext_id;?>">Clicking moves right</span>');

  // Hide left arrow control on first load
  manageControls(currentPosition);

  // Create event listeners for .controls clicks
  jQuery('.control_<?php echo $ext_id;?>')
    .bind('click', function(){
    // Determine new position
	currentPosition = (jQuery(this).attr('id')=='rightControl_<?php echo $ext_id;?>') ? currentPosition+1 : currentPosition-1;
    
	// Hide / show controls
    manageControls(currentPosition);
    // Move slideInner using margin-left
    jQuery('#slideInner_<?php echo $ext_id;?>').animate({
      'marginLeft' : slideWidth*(-currentPosition)
    });
  });

  // manageControls: Hides and Shows controls depending on currentPosition
  function manageControls(position){
    // Hide left arrow if position is first slide
	if(position==0){ jQuery('#leftControl_<?php echo $ext_id;?>').hide() } else{ jQuery('#leftControl_<?php echo $ext_id;?>').show() }
	// Hide right arrow if position is last slide
    if(position==numberOfSlides-1){ jQuery('#rightControl_<?php echo $ext_id;?>').hide() } else{ jQuery('#rightControl_<?php echo $ext_id;?>').show() }
  }	
});
</script>